package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodMealOrderItem;
import com.jeesharp.business.modules.food.vo.FoodMealHotItemQueryVO;
import com.jeesharp.business.modules.food.vo.FoodMealHotItemVO;
import com.jeesharp.business.modules.food.vo.FoodMealOrderItemQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.Collection;
import java.util.List;

public interface FoodMealOrderItemService extends BaseInterface<FoodMealOrderItem, FoodMealOrderItemQueryVO> {

    List<FoodMealOrderItem> listByOrderId(String orderId);

    List<FoodMealOrderItem> listByOrderIdsAndMenuItemId(Collection<String> orderIds, String menuItemId);

    void insertOrderItem(FoodMealOrderItem orderItem);

    void updateOrderItem(FoodMealOrderItem orderItem);

    void markRefunded(List<FoodMealOrderItem> items, boolean includeCompanyPayAmount);

    List<FoodMealHotItemVO> listHotItems(FoodMealHotItemQueryVO query, String tenantCode);
}
